summaryrefslogtreecommitdiffstats
path: root/generic
diff options
context:
space:
mode:
authorRobert Schwebel <r.schwebel@pengutronix.de>2006-10-24 18:59:58 +0000
committerRobert Schwebel <r.schwebel@pengutronix.de>2006-10-24 18:59:58 +0000
commitfedd3efb1e9e6de40240acccc8a8e500b3551aff (patch)
tree0dd4a15555e8895571c66af079b5e7a4461a727a /generic
parentcf6417b68efe38dea2b7e4d985be1449a5971f67 (diff)
downloadptxdist-fedd3efb1e9e6de40240acccc8a8e500b3551aff.tar.gz
ptxdist-fedd3efb1e9e6de40240acccc8a8e500b3551aff.tar.xz
* ptxdist: moved projects-example/generic to generic
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@6218 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'generic')
-rwxr-xr-xgeneric/bin/ipkg_log_wrapper18
-rw-r--r--generic/etc-obsolete/host.conf2
-rw-r--r--generic/etc-obsolete/inetd.conf7
-rwxr-xr-xgeneric/etc-obsolete/init.d/rcS3
-rw-r--r--generic/etc-obsolete/issue6
l---------generic/etc-obsolete/issue.net1
-rw-r--r--generic/etc-obsolete/ld.so.cachebin0 -> 106 bytes
-rw-r--r--generic/etc-obsolete/ld.so.conf2
-rw-r--r--generic/etc-obsolete/modules12
-rw-r--r--generic/etc-obsolete/modules.conf1
l---------generic/etc-obsolete/mtab1
-rw-r--r--generic/etc-obsolete/passwd7
-rw-r--r--generic/etc-obsolete/passwd-7
-rw-r--r--generic/etc-obsolete/securetty10
-rw-r--r--generic/etc-obsolete/services170
-rw-r--r--generic/etc-obsolete/syslog.conf30
-rw-r--r--generic/etc-obsolete/timezone1
-rw-r--r--generic/etc/fstab15
-rw-r--r--generic/etc/group4
-rw-r--r--generic/etc/gshadow3
-rw-r--r--generic/etc/hostname1
-rw-r--r--generic/etc/hosts1
-rw-r--r--generic/etc/inetd.conf8
-rw-r--r--generic/etc/init.d/banner16
-rwxr-xr-xgeneric/etc/init.d/dropbear77
-rw-r--r--generic/etc/init.d/httpd38
-rwxr-xr-xgeneric/etc/init.d/inetd51
-rwxr-xr-xgeneric/etc/init.d/logrotate54
-rw-r--r--generic/etc/init.d/modules42
-rw-r--r--generic/etc/init.d/net2flash68
-rw-r--r--generic/etc/init.d/networking7
-rw-r--r--generic/etc/init.d/ntp77
-rw-r--r--generic/etc/init.d/proftpd100
-rwxr-xr-xgeneric/etc/init.d/pure-ftpd123
-rw-r--r--generic/etc/init.d/rcS23
-rw-r--r--generic/etc/init.d/startup5
-rwxr-xr-xgeneric/etc/init.d/syslog-ng47
-rw-r--r--generic/etc/init.d/telnetd21
-rwxr-xr-xgeneric/etc/init.d/thttpd49
-rw-r--r--generic/etc/init.d/udev112
-rw-r--r--generic/etc/inittab13
-rw-r--r--generic/etc/ipkg.conf13
-rw-r--r--generic/etc/nsswitch.conf22
-rw-r--r--generic/etc/passwd4
-rw-r--r--generic/etc/profile33
-rw-r--r--generic/etc/proftpd.conf78
-rw-r--r--generic/etc/protocols5
-rw-r--r--generic/etc/ptx_permissions.unconfigured15
-rw-r--r--generic/etc/resolv.conf3
-rw-r--r--generic/etc/rsyncd.conf31
-rw-r--r--generic/etc/rsyncd.secrets2
-rw-r--r--generic/etc/services8
-rw-r--r--generic/etc/shadow3
-rw-r--r--generic/etc/shadow-4
-rw-r--r--generic/etc/syslog-ng.conf37
-rw-r--r--generic/etc/udev/udev.conf15
-rw-r--r--generic/etc/udhcpc.script39
-rw-r--r--generic/httpd.conf1037
-rw-r--r--generic/index.html19
-rw-r--r--generic/thttpd.html15
60 files changed, 2616 insertions, 0 deletions
diff --git a/generic/bin/ipkg_log_wrapper b/generic/bin/ipkg_log_wrapper
new file mode 100755
index 000000000..e14142e95
--- /dev/null
+++ b/generic/bin/ipkg_log_wrapper
@@ -0,0 +1,18 @@
+#!/bin/sh
+# ipkg wrapper - log when installing / removing things
+#
+
+[ -e "/etc/ipkg_log_wrapper.cf" ] && . /etc/ipkg_log_wrapper.cf
+
+FULLARGS="$@"
+IDENT="$(date -R)"
+IPKG=${IPKG:=/usr/bin/ipkg-cl}
+LOGDIR=${LOGDIR:=/var/cache/ipkg}
+LOGFILENAME=${LOGFILENAME:=ipkg_activities.log}
+LOGFILE=$LOGDIR/$LOGFILENAME
+
+[ -e "$LOGDIR" ] || mkdir -p $LOGDIR
+echo -n "$IDENT - $FULLARGS" >> $LOGFILE
+$IPKG $FULLARGS
+echo " ($?)" >> $LOGFILE
+
diff --git a/generic/etc-obsolete/host.conf b/generic/etc-obsolete/host.conf
new file mode 100644
index 000000000..1a8c1e151
--- /dev/null
+++ b/generic/etc-obsolete/host.conf
@@ -0,0 +1,2 @@
+order hosts,bind
+multi on
diff --git a/generic/etc-obsolete/inetd.conf b/generic/etc-obsolete/inetd.conf
new file mode 100644
index 000000000..6cd09056b
--- /dev/null
+++ b/generic/etc-obsolete/inetd.conf
@@ -0,0 +1,7 @@
+# /etc/inetd.conf: see inetd(8) for further informations.
+# Internet server configuration database
+
+#:STANDARD: These are standard services.
+ftp stream tcp nowait root /usr/sbin/tcpd /usr/sbin/in.ftpd
+telnet stream tcp nowait root /usr/sbin/tcpd /usr/sbin/in.telnetd
+
diff --git a/generic/etc-obsolete/init.d/rcS b/generic/etc-obsolete/init.d/rcS
new file mode 100755
index 000000000..667a2933d
--- /dev/null
+++ b/generic/etc-obsolete/init.d/rcS
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+echo "This is /etc/init.d/rcS"
diff --git a/generic/etc-obsolete/issue b/generic/etc-obsolete/issue
new file mode 100644
index 000000000..bf4876cfc
--- /dev/null
+++ b/generic/etc-obsolete/issue
@@ -0,0 +1,6 @@
+-------------------------------------------------------------------------------
+PENGUTRONIX
+
+General Purpose Measurement Plattform V1.0
+-------------------------------------------------------------------------------
+
diff --git a/generic/etc-obsolete/issue.net b/generic/etc-obsolete/issue.net
new file mode 120000
index 000000000..95d98329a
--- /dev/null
+++ b/generic/etc-obsolete/issue.net
@@ -0,0 +1 @@
+issue \ No newline at end of file
diff --git a/generic/etc-obsolete/ld.so.cache b/generic/etc-obsolete/ld.so.cache
new file mode 100644
index 000000000..21e1febd9
--- /dev/null
+++ b/generic/etc-obsolete/ld.so.cache
Binary files differ
diff --git a/generic/etc-obsolete/ld.so.conf b/generic/etc-obsolete/ld.so.conf
new file mode 100644
index 000000000..61b171c81
--- /dev/null
+++ b/generic/etc-obsolete/ld.so.conf
@@ -0,0 +1,2 @@
+/lib
+/usr/lib
diff --git a/generic/etc-obsolete/modules b/generic/etc-obsolete/modules
new file mode 100644
index 000000000..2654b746f
--- /dev/null
+++ b/generic/etc-obsolete/modules
@@ -0,0 +1,12 @@
+# /etc/modules: kernel modules to load at boot time.
+
+# Modules for CS89X0
+# cs89x0 io=0x300
+
+# Modules for NE2000 (without Kernel Static)
+# 8390
+# ne io=0x320 irq=5
+
+# Modules for IDE with DOS-File-System
+# fat
+# vfat
diff --git a/generic/etc-obsolete/modules.conf b/generic/etc-obsolete/modules.conf
new file mode 100644
index 000000000..db70c1711
--- /dev/null
+++ b/generic/etc-obsolete/modules.conf
@@ -0,0 +1 @@
+alias char-major-63 rtai_fifos
diff --git a/generic/etc-obsolete/mtab b/generic/etc-obsolete/mtab
new file mode 120000
index 000000000..4c0a0948b
--- /dev/null
+++ b/generic/etc-obsolete/mtab
@@ -0,0 +1 @@
+/proc/mounts \ No newline at end of file
diff --git a/generic/etc-obsolete/passwd b/generic/etc-obsolete/passwd
new file mode 100644
index 000000000..f05491f62
--- /dev/null
+++ b/generic/etc-obsolete/passwd
@@ -0,0 +1,7 @@
+root::0:0:root:/:/bin/sh
+daemon:x:1:1:daemon:/usr/sbin:/bin/sh
+bin:x:2:2:bin:/bin:/bin/sh
+sys:x:3:3:sys:/dev:/bin/sh
+sync:x:4:100:sync:/bin:/bin/sync
+nobody:x:65534:65534:nobody:/tmp:/bin/sh
+measure::500:100:Measuring User:/home/measure:/bin/sh
diff --git a/generic/etc-obsolete/passwd- b/generic/etc-obsolete/passwd-
new file mode 100644
index 000000000..4599a6a7d
--- /dev/null
+++ b/generic/etc-obsolete/passwd-
@@ -0,0 +1,7 @@
+root::0:0:root:/root:/bin/sh
+daemon::1:1:daemon:/usr/sbin:/bin/sh
+bin::2:2:bin:/bin:/bin/sh
+sys::3:3:sys:/dev:/bin/sh
+sync::4:100:sync:/bin:/bin/sync
+nobody::65534:65534:nobody:/tmp:/bin/sh
+measure::500:100:Measuring User:/home/measure:/bin/sh
diff --git a/generic/etc-obsolete/securetty b/generic/etc-obsolete/securetty
new file mode 100644
index 000000000..0df4337e3
--- /dev/null
+++ b/generic/etc-obsolete/securetty
@@ -0,0 +1,10 @@
+# /etc/securetty: list of terminals on which root is allowed to login.
+# See securetty(5) and login(1).
+#
+# Include ttyp0, ttyp1, etc to allow telnet access. *NOT RECOMMENDED*
+tty1
+tty2
+ttyp0
+ttyp1
+ttyS0
+ttyS1
diff --git a/generic/etc-obsolete/services b/generic/etc-obsolete/services
new file mode 100644
index 000000000..fab2115c8
--- /dev/null
+++ b/generic/etc-obsolete/services
@@ -0,0 +1,170 @@
+# /etc/services:
+# $Id: services,v 1.4 1997/05/20 19:41:21 tobias Exp $
+# Network services, Internet style
+# Note that it is presently the policy of IANA to assign a single well-known
+# port number for both TCP and UDP; hence, most entries here have two entries
+# even if the protocol doesn't support UDP operations.
+# Updated from RFC 1700, ``Assigned Numbers'' (October 1994). Not all ports
+# are included, only the more common ones.
+
+tcpmux 1/tcp # TCP port service multiplexer
+echo 7/tcp
+echo 7/udp
+discard 9/tcp sink null
+discard 9/udp sink null
+systat 11/tcp users
+daytime 13/tcp
+daytime 13/udp
+netstat 15/tcp
+qotd 17/tcp quote
+msp 18/tcp # message send protocol
+msp 18/udp # message send protocol
+chargen 19/tcp ttytst source
+chargen 19/udp ttytst source
+ftp-data 20/tcp
+ftp 21/tcp
+fsp 21/udp fspd
+ssh 22/tcp # SSH Remote Login Protocol
+ssh 22/udp # SSH Remote Login Protocol
+telnet 23/tcp
+# 24 - private
+smtp 25/tcp mail
+# 26 - unassigned
+time 37/tcp timserver
+time 37/udp timserver
+rlp 39/udp resource # resource location
+nameserver 42/tcp name # IEN 116
+whois 43/tcp nicname
+re-mail-ck 50/tcp # Remote Mail Checking Protocol
+re-mail-ck 50/udp # Remote Mail Checking Protocol
+domain 53/tcp nameserver # name-domain server
+domain 53/udp nameserver
+mtp 57/tcp # deprecated
+bootps 67/tcp # BOOTP server
+bootps 67/udp
+bootpc 68/tcp # BOOTP client
+bootpc 68/udp
+tftp 69/udp
+gopher 70/tcp # Internet Gopher
+gopher 70/udp
+rje 77/tcp netrjs
+finger 79/tcp
+www 80/tcp http # WorldWideWeb HTTP
+www 80/udp # HyperText Transfer Protocol
+link 87/tcp ttylink
+kerberos 88/tcp kerberos5 krb5 # Kerberos v5
+kerberos 88/udp kerberos5 krb5 # Kerberos v5
+supdup 95/tcp
+# 100 - reserved
+hostnames 101/tcp hostname # usually from sri-nic
+iso-tsap 102/tcp tsap # part of ISODE.
+csnet-ns 105/tcp cso-ns # also used by CSO name server
+csnet-ns 105/udp cso-ns
+# unfortunately the poppassd (Eudora) uses a port which has already
+# been assigned to a different service. We list the poppassd as an
+# alias here. This should work for programs asking for this service.
+# (due to a bug in inetd the 3com-tsmux line is disabled)
+#3com-tsmux 106/tcp poppassd
+#3com-tsmux 106/udp poppassd
+rtelnet 107/tcp # Remote Telnet
+rtelnet 107/udp
+pop-2 109/tcp postoffice # POP version 2
+pop-2 109/udp
+pop-3 110/tcp # POP version 3
+pop-3 110/udp
+sunrpc 111/tcp portmapper # RPC 4.0 portmapper TCP
+sunrpc 111/udp portmapper # RPC 4.0 portmapper UDP
+auth 113/tcp authentication tap ident
+sftp 115/tcp
+uucp-path 117/tcp
+nntp 119/tcp readnews untp # USENET News Transfer Protocol
+ntp 123/tcp
+ntp 123/udp # Network Time Protocol
+netbios-ns 137/tcp # NETBIOS Name Service
+netbios-ns 137/udp
+netbios-dgm 138/tcp # NETBIOS Datagram Service
+netbios-dgm 138/udp
+netbios-ssn 139/tcp # NETBIOS session service
+netbios-ssn 139/udp
+imap2 143/tcp # Interim Mail Access Proto v2
+imap2 143/udp
+snmp 161/udp # Simple Net Mgmt Proto
+snmp-trap 162/udp snmptrap # Traps for SNMP
+cmip-man 163/tcp # ISO mgmt over IP (CMOT)
+cmip-man 163/udp
+cmip-agent 164/tcp
+cmip-agent 164/udp
+xdmcp 177/tcp # X Display Mgr. Control Proto
+xdmcp 177/udp
+nextstep 178/tcp NeXTStep NextStep # NeXTStep window
+nextstep 178/udp NeXTStep NextStep # server
+bgp 179/tcp # Border Gateway Proto.
+bgp 179/udp
+prospero 191/tcp # Cliff Neuman's Prospero
+prospero 191/udp
+irc 194/tcp # Internet Relay Chat
+irc 194/udp
+smux 199/tcp # SNMP Unix Multiplexer
+smux 199/udp
+at-rtmp 201/tcp # AppleTalk routing
+at-rtmp 201/udp
+at-nbp 202/tcp # AppleTalk name binding
+at-nbp 202/udp
+at-echo 204/tcp # AppleTalk echo
+at-echo 204/udp
+at-zis 206/tcp # AppleTalk zone information
+at-zis 206/udp
+qmtp 209/tcp # The Quick Mail Transfer Protocol
+qmtp 209/udp # The Quick Mail Transfer Protocol
+z3950 210/tcp wais # NISO Z39.50 database
+z3950 210/udp wais
+ipx 213/tcp # IPX
+ipx 213/udp
+imap3 220/tcp # Interactive Mail Access
+imap3 220/udp # Protocol v3
+ulistserv 372/tcp # UNIX Listserv
+ulistserv 372/udp
+https 443/tcp # MCom
+https 443/udp # MCom
+snpp 444/tcp # Simple Network Paging Protocol
+snpp 444/udp # Simple Network Paging Protocol
+saft 487/tcp # Simple Asynchronous File Transfer
+saft 487/udp # Simple Asynchronous File Transfer
+npmp-local 610/tcp dqs313_qmaster # npmp-local / DQS
+npmp-local 610/udp dqs313_qmaster # npmp-local / DQS
+npmp-gui 611/tcp dqs313_execd # npmp-gui / DQS
+npmp-gui 611/udp dqs313_execd # npmp-gui / DQS
+hmmp-ind 612/tcp dqs313_intercell# HMMP Indication / DQS
+hmmp-ind 612/udp dqs313_intercell# HMMP Indication / DQS
+#
+# UNIX specific services
+#
+exec 512/tcp
+biff 512/udp comsat
+login 513/tcp
+who 513/udp whod
+shell 514/tcp cmd # no passwords used
+syslog 514/udp
+printer 515/tcp spooler # line printer spooler
+talk 517/udp
+ntalk 518/udp
+route 520/udp router routed # RIP
+timed 525/udp timeserver
+tempo 526/tcp newdate
+courier 530/tcp rpc
+conference 531/tcp chat
+netnews 532/tcp readnews
+netwall 533/udp # -for emergency broadcasts
+uucp 540/tcp uucpd # uucp daemon
+afpovertcp 548/tcp # AFP over TCP
+afpovertcp 548/udp # AFP over TCP
+remotefs 556/tcp rfs_server rfs # Brunhoff remote filesystem
+klogin 543/tcp # Kerberized `rlogin' (v5)
+kshell 544/tcp krcmd # Kerberized `rsh' (v5)
+kerberos-adm 749/tcp # Kerberos `kadmin' (v5)
+#
+webster 765/tcp # Network dictionary
+webster 765/udp
+
+# Local services
+
diff --git a/generic/etc-obsolete/syslog.conf b/generic/etc-obsolete/syslog.conf
new file mode 100644
index 000000000..e208949cf
--- /dev/null
+++ b/generic/etc-obsolete/syslog.conf
@@ -0,0 +1,30 @@
+# /etc/syslog.conf Configuration file for syslogd.
+
+# First some standard logfiles. Log by facility.
+auth,authpriv.* /var/log/auth.log
+*.*;auth,authpriv.none -/var/log/syslog
+daemon.* -/var/log/daemon.log
+kern.* -/var/log/kern.log
+#cron.* /var/log/cron.log
+#lpr.* -/var/log/lpr.log
+#mail.* /var/log/mail.log
+#user.* -/var/log/user.log
+#uucp.* -/var/log/uucp.log
+
+# Some `catch-all' logfiles.
+*.=debug;\
+ auth,authpriv.none;\
+ news.none;mail.none -/var/log/debug
+*.=info;*.=notice;*.=warn;\
+ auth,authpriv.none;\
+ cron,daemon.none;\
+ mail,news.none -/var/log/messages
+
+# Emergencies are sent to everybody logged in.
+*.emerg *
+
+#ppp
+local2.* -/var/log/ppp.log
+
+#portslave
+local6.* -/var/log/pslave.log
diff --git a/generic/etc-obsolete/timezone b/generic/etc-obsolete/timezone
new file mode 100644
index 000000000..75cf9f473
--- /dev/null
+++ b/generic/etc-obsolete/timezone
@@ -0,0 +1 @@
+GMT
diff --git a/generic/etc/fstab b/generic/etc/fstab
new file mode 100644
index 000000000..b91f5e0cf
--- /dev/null
+++ b/generic/etc/fstab
@@ -0,0 +1,15 @@
+#
+# /etc/fstab
+#
+# $Id$
+#
+
+proc /proc proc defaults 0 0
+devpts /dev/pts devpts defaults 0 0
+none /tmp ramfs defaults 0 0
+none /sys sysfs defaults 0 0
+
+none /var/log ramfs defaults 0 0
+none /var/run ramfs defaults 0 0
+none /var/lock ramfs defaults 0 0
+
diff --git a/generic/etc/group b/generic/etc/group
new file mode 100644
index 000000000..99fab08c0
--- /dev/null
+++ b/generic/etc/group
@@ -0,0 +1,4 @@
+root:x:0:
+users:x:100:
+ftp:x:101:
+www:x:102:
diff --git a/generic/etc/gshadow b/generic/etc/gshadow
new file mode 100644
index 000000000..f215519e9
--- /dev/null
+++ b/generic/etc/gshadow
@@ -0,0 +1,3 @@
+root:*::
+users:*::
+ftp:*::
diff --git a/generic/etc/hostname b/generic/etc/hostname
new file mode 100644
index 000000000..775158876
--- /dev/null
+++ b/generic/etc/hostname
@@ -0,0 +1 @@
+@HOSTNAME@
diff --git a/generic/etc/hosts b/generic/etc/hosts
new file mode 100644
index 000000000..ba712fe03
--- /dev/null
+++ b/generic/etc/hosts
@@ -0,0 +1 @@
+127.0.0.1 localhost
diff --git a/generic/etc/inetd.conf b/generic/etc/inetd.conf
new file mode 100644
index 000000000..db2029825
--- /dev/null
+++ b/generic/etc/inetd.conf
@@ -0,0 +1,8 @@
+#
+# Autogenerated file - do not edit manually.
+#
+@NTP@
+@RSHD@
+@CVSD@
+@RSYNCD@
+
diff --git a/generic/etc/init.d/banner b/generic/etc/init.d/banner
new file mode 100644
index 000000000..f5ab8469a
--- /dev/null
+++ b/generic/etc/init.d/banner
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# /etc/init.d/banner
+#
+# Copyright (C) 2004 Pengutronix
+# Robert Schwebel <r.schwebel@pengutronix.de>
+#
+
+echo
+echo "OSELAS(R)-@PROJECT@@PRJVERSION@ (@PTXDIST@-@VERSION@.@PATCHLEVEL@.@SUBLEVEL@@EXTRAVERSION@/@DATE@)"
+echo
+host=`/bin/hostname`
+/usr/sbin/figlet -f /usr/share/figlet/standard "@VENDOR@$host"
+echo
+echo
+
diff --git a/generic/etc/init.d/dropbear b/generic/etc/init.d/dropbear
new file mode 100755
index 000000000..9fed177e1
--- /dev/null
+++ b/generic/etc/init.d/dropbear
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/dropbear
+NAME=dropbear
+DESC="Dropbear SSH server"
+
+DROPBEAR_PORT=22
+DROPBEAR_EXTRA_ARGS=
+
+set -e
+
+# test ! -h /var/service/dropbear || exit 0
+
+DROPBEAR_RSAKEY_DEFAULT="/etc/dropbear/dropbear_rsa_host_key"
+DROPBEAR_DSSKEY_DEFAULT="/etc/dropbear/dropbear_dss_host_key"
+
+test -z "$DROPBEAR_BANNER" || \
+ DROPBEAR_EXTRA_ARGS="$DROPBEAR_EXTRA_ARGS -b $DROPBEAR_BANNER"
+test -n "$DROPBEAR_RSAKEY" || \
+ DROPBEAR_RSAKEY=$DROPBEAR_RSAKEY_DEFAULT
+test -n "$DROPBEAR_DSSKEY" || \
+ DROPBEAR_DSSKEY=$DROPBEAR_DSSKEY_DEFAULT
+test -n "$DROPBEAR_KEYTYPES" || \
+ DROPBEAR_KEYTYPES="rsa dsa"
+
+gen_keys() {
+for t in $DROPBEAR_KEYTYPES; do
+ case $t in
+ rsa)
+ test -f $DROPBEAR_RSAKEY || dropbearkey -t rsa -f $DROPBEAR_RSAKEY
+ ;;
+ dsa)
+ test -f $DROPBEAR_DSSKEY || dropbearkey -t dss -f $DROPBEAR_DSSKEY
+ ;;
+ esac
+done
+}
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ gen_keys
+ KEY_ARGS=""
+ test -f $DROPBEAR_DSSKEY && KEY_ARGS="$KEY_ARGS -d $DROPBEAR_DSSKEY"
+ test -f $DROPBEAR_RSAKEY && KEY_ARGS="$KEY_ARGS -r $DROPBEAR_RSAKEY"
+ start-stop-daemon -S \
+ -x "$DAEMON" -- $KEY_ARGS \
+ -p "$DROPBEAR_PORT" $DROPBEAR_EXTRA_ARGS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon -K -x "$DAEMON"
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon -K -x "$DAEMON"
+ sleep 1
+ KEY_ARGS=""
+ test -f $DROPBEAR_DSSKEY && KEY_ARGS="$KEY_ARGS -d $DROPBEAR_DSSKEY"
+ test -f $DROPBEAR_RSAKEY && KEY_ARGS="$KEY_ARGS -r $DROPBEAR_RSAKEY"
+ start-stop-daemon -S \
+ -x "$DAEMON" -- $KEY_ARGS \
+ -p "$DROPBEAR_PORT" $DROPBEAR_EXTRA_ARGS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/generic/etc/init.d/httpd b/generic/etc/init.d/httpd
new file mode 100644
index 000000000..ac426b566
--- /dev/null
+++ b/generic/etc/init.d/httpd
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# /etc/init.d/httpd
+#
+# $Id:$
+#
+
+NAME=apache2
+#
+# This is an workaround, if the path targets into a ramfs
+#
+mkdir -p @LOGPATH@
+
+case "$1" in
+ start)
+ echo -n "${PREFIX}Starting $NAME: "
+ /usr/sbin/apache2 -f @APACHECONFIG@ -k start
+ echo "Done"
+ ;;
+
+ stop)
+ echo -n "${PREFIX}Stopping $NAME: "
+ /usr/sbin/apache2 -f @APACHECONFIG@ -k stop
+ echo "Done"
+ ;;
+
+ reload)
+ echo -n "${PREFIX}Restarting $NAME: "
+ /usr/sbin/apache2 -f @APACHECONFIG@ -k restart
+ echo "Done"
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|restart"
+ exit 1
+ ;;
+esac
+
diff --git a/generic/etc/init.d/inetd b/generic/etc/init.d/inetd
new file mode 100755
index 000000000..9c746713d
--- /dev/null
+++ b/generic/etc/init.d/inetd
@@ -0,0 +1,51 @@
+#!/bin/sh
+#
+# This is an inetd init.d script which ist called by init(1) with [start|stop] as argument
+#
+
+PATH=/sbin:/bin:/usr/bin
+BINARY=/usr/sbin/inetd
+
+# --- nothing to change after this line ---
+
+test -f $BINARY || { echo "$BINARY not found" >&2 ; exit 0; }
+
+start_proc() {
+ echo -n "Starting INETD server: inetd ..."
+ $BINARY
+ echo "DONE"
+}
+
+stop_proc() {
+ echo -n "Stopping INETD server: inetd ..."
+ killall inetd
+ echo "DONE"
+}
+
+
+case "$1" in
+ start)
+ start_proc
+ ;;
+ stop)
+ stop_proc
+ ;;
+ restart|force-reload)
+ echo -n "Restarting INETD server: inetd... "
+ stop_proc
+ sleep 2
+ start_proc
+ echo "done."
+ ;;
+ reload)
+ echo "Not supported" >&2
+ exit 1
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
+
diff --git a/generic/etc/init.d/logrotate b/generic/etc/init.d/logrotate
new file mode 100755
index 000000000..eccb24e9b
--- /dev/null
+++ b/generic/etc/init.d/logrotate
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+#
+# /etc/init.d/logrotate - Minimal Log Rotator for /var/log/*.{log,err}
+#
+
+PREFIX="logrotate: "
+LOGDIR="/var/log/"
+MAXFILES="8"
+PATTERNS="*.err *.log"
+
+my_exit(){
+echo "${PREFIX}${1}"
+exit $2
+}
+
+logrotate(){
+ cd $LOGDIR
+ # Rotate Backups for *.log and *.err.files
+ for filename in $PATTERNS; do
+ echo "${PREFIX}rotation for $filename ... "
+ for i in `seq $MAXFILES -1 1` ; do
+ if [ -e "$filename.$i" ]
+ then
+ f=$i; let f++
+ mv -f $filename.$i $filename.$f
+ fi
+ done
+ [ -e "$filename" ] && mv -f $filename $filename.1
+ done
+}
+
+#
+# Main
+#
+
+[ -d "$LOGDIR" ] || my_exit "Logdir $LOGDIR missing" 1
+
+case $1 in
+
+ start)
+ echo "${PREFIX}Starting subsystem"
+ logrotate
+ ;;
+ stop)
+ echo "${PREFIX}Stopping subsystem"
+ logrotate
+ ;;
+ *)
+ echo "Usage: $0 [start|stop]"
+ ;;
+esac
+
+
diff --git a/generic/etc/init.d/modules b/generic/etc/init.d/modules
new file mode 100644
index 000000000..4b5df8a31
--- /dev/null
+++ b/generic/etc/init.d/modules
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+#
+# /etc/init.d/modules - load modules in /etc/modules
+#
+
+MODULES_FILE=/etc/modules
+
+load_modules(){
+ # Loop over every line in /etc/modules.
+ if [ ! -f $MODULES_FILE ]; then
+ echo "no /etc/modules, exiting"
+ exit 0
+ fi
+ grep '^[^#]' $MODULES_FILE | \
+ while read module args; do
+ [ "$module" ] || continue
+ if [ "$VERBOSE" != no ]; then
+ echo " $module"
+ modprobe $module $args || true
+ else
+ modprobe $module $args > /dev/null 2>&1 || true
+ fi
+ done
+}
+
+#
+# Main
+#
+
+case $1 in
+
+ start)
+ echo "${PREFIX}loading modules"
+ load_modules
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 [start|stop]"
+ ;;
+esac
diff --git a/generic/etc/init.d/net2flash b/generic/etc/init.d/net2flash
new file mode 100644
index 000000000..3f270b36d
--- /dev/null
+++ b/generic/etc/init.d/net2flash
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# /etc/init.d/net2flash:
+#
+
+ROOTFS="/dev/mtdblock/2"
+
+case $1 in
+
+ start)
+ # check if we already run from flash
+ if [ "x`mount | grep root | grep mtdblock`" != "x" ]; then
+ echo "net2flash does only work when running from NFS";
+ exit 1;
+ fi
+ # check if /mnt is already in use
+ if [ "x`mount | grep /mnt`" != "x" ]; then
+ echo "mountpoint /mnt already in use";
+ exit 1;
+ fi
+
+ echo -n "mounting $ROOTFS..."
+ mount -t jffs2 $ROOTFS /mnt
+ if [ "$?" != "0" ]; then
+ echo "could not mount $ROOTFS on /mnt"
+ exit 1
+ fi
+ echo "done"
+ echo -n "save /home..."
+ cp -a /mnt/home /tmp
+ echo "done"
+ echo -n "cleaning old content..."
+ rm -fr /mnt/*
+ echo "done"
+ echo -n "copying files..."
+ cp -ax / /mnt/
+ echo "done"
+ echo -n "generating md5 sums..."
+ rm -f /tmp/files.md5
+ cd /mnt
+ find . -type f | xargs md5sum > /tmp/files.md5
+ echo "done"
+ echo -n "checking md5sums..."
+ cd /;
+ failures=`md5sum -c /tmp/files.md5 | grep FAILED`
+ echo -n "status: "
+ if [ "x$failures" != "x" ]; then
+ echo "!!! INCONSISTENCIES DETECTED !!!"
+ echo $failures
+ else
+ echo "all files consistent";
+ fi
+ rm /tmp/files.md5
+ echo -n "restore /home..."
+ cp -a /tmp/home /mnt/
+ echo "done"
+ echo -n "unmounting $ROOTFS..."
+ umount /mnt
+ sync
+ echo "done"
+ ;;
+ *)
+ echo "usage: $0 [start|stop]"
+ exit 0;
+ ;;
+
+esac
+
diff --git a/generic/etc/init.d/networking b/generic/etc/init.d/networking
new file mode 100644
index 000000000..ad8617f16
--- /dev/null
+++ b/generic/etc/init.d/networking
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+echo "starting network interfaces..."
+ifup -a
+
+exit 0
+
diff --git a/generic/etc/init.d/ntp b/generic/etc/init.d/ntp
new file mode 100644
index 000000000..8ae07b039
--- /dev/null
+++ b/generic/etc/init.d/ntp
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# This is a ntp init.d script which ist called by init(1) with [start|stop] as argument
+# PII ntp config
+# Wed May 25 14:36:31 CEST 2005
+
+PATH=/sbin:/bin:/usr/bin
+BINARY=/usr/sbin/ntpd
+PIDFILE="/var/run/ntpd.pid"
+
+case "`basename $0`" in
+ ntp-client)
+ CONFIG="/etc/ntp-client.conf"
+ ;;
+ ntp-server)
+ CONFIG="/etc/ntp-server.conf"
+ ;;
+ *)
+ echo "script has to be ntp-client or ntp-server"
+ exit 1
+ ;;
+esac
+
+HARD=false
+
+# --- nothing to change after this line ---
+
+test -f $BINARY || { echo "$BINARY not found" >&2 ; exit 0; }
+
+start_proc() {
+ echo -n "Starting NTP server: ntpd ..."
+ test -f "$PIDFILE" && { echo "pid-file exists" >&2 ; exit 0; }
+ $BINARY -p $PIDFILE -c $CONFIG
+ echo "DONE"
+}
+
+stop_proc() {
+ echo -n "Stopping NTP server: ntpd ..."
+ test -f "$PIDFILE"
+ case $? in
+ 0)
+ kill `cat $PIDFILE` && rm -f $PIDFILE
+ ;;
+ *)
+ if [ "$HARD" = "true" ] ; then killall ntpd; fi
+ ;;
+ esac
+ echo "DONE"
+}
+
+
+case "$1" in
+ start)
+ start_proc
+ ;;
+ stop)
+ stop_proc
+ ;;
+ restart|force-reload)
+ echo -n "Restarting NTP server: ntpd... "
+ stop_proc
+ sleep 2
+ start_proc
+ echo "done."
+ ;;
+ reload)
+ echo "Not supported" >&2
+ exit 1
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
+
diff --git a/generic/etc/init.d/proftpd b/generic/etc/init.d/proftpd
new file mode 100644
index 000000000..3f408d6b8
--- /dev/null
+++ b/generic/etc/init.d/proftpd
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# /etc/init.d/proftpd
+# Start the proftpd FTP daemon.
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/proftpd
+NAME=proftpd
+
+# Defaults
+RUN="no"
+OPTIONS=""
+
+PIDFILE=`grep -i 'pidfile' /etc/proftpd.conf | awk '{print($2)}'`
+if [ "x$PIDFILE" = "x" ];
+then
+ PIDFILE=/var/run/proftpd.pid
+fi
+
+# Read config (will override defaults)
+[ -r /etc/default/proftpd ] && . /etc/default/proftpd
+
+trap "" 1
+trap "" 15
+
+test -f $DAEMON || exit 0
+
+#
+# Servertype could be inetd|standalone.
+#
+if egrep -qi "^[[:space:]]*ServerType.*standalone" /etc/proftpd.conf
+then
+ RUN="yes"
+fi
+
+start(){
+ $DAEMON $OPTIONS
+}
+
+stop(){
+if [ -e "$PIDFILE" ]; then
+ kill `cat $PIDFILE` || { kill -9 `cat $PIDFILE` ; echo "process killed" ; rm -f $PIDFILE; echo "pidfile removed"; }
+else
+ echo "pid file not found - process not running"
+fi
+}
+
+case "$1" in
+ start)
+ if [ "x$RUN" = "xyes" ] ; then
+ echo -n "Starting ProFTPD ftp daemon: "
+ start
+ echo "Done"
+ else
+ echo "ProFTPd is configured to be started from inetd. Check your configuration."
+ fi
+ ;;
+
+ stop)
+ if [ "x$RUN" = "xyes" ] ; then
+ echo -n "Stopping ProFTPD ftp daemon: "
+ stop
+ echo "Done"
+ else
+ echo "ProFTPd is configured to be started from inetd. Check your configuration."
+ fi
+ ;;
+
+ reload)
+ echo -n "Reloading $NAME configuration..."
+ if [ -e "$PIDFILE" ]; then
+ kill -HUP `cat $PIDFILE`
+ echo " done."
+ else
+ echo "pid file not found - process not running"
+ fi
+ ;;
+
+ force-reload|restart)
+ if [ "x$RUN" = "xyes" ] ; then
+ echo -n "Restarting ProFTPD ftp daemon."
+ stop
+ echo -n "."
+ sleep 2
+ echo -n "."
+ start
+ echo " done."
+ else
+ echo "ProFTPd is configured to be started from inetd. Check your configuration."
+ fi
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|restart|force-reload|help}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/generic/etc/init.d/pure-ftpd b/generic/etc/init.d/pure-ftpd
new file mode 100755
index 000000000..86eee36e2
--- /dev/null
+++ b/generic/etc/init.d/pure-ftpd
@@ -0,0 +1,123 @@
+#!/bin/sh
+# Start the proftpd FTP daemon.
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+
+# Defaults
+DAEMON="pure-ftpd"
+NAME="pure-ftpd"
+PREFIX="PURE-FTPD: "
+DAEMON_OPTIONS=""
+DAEMON_PIDFILE=/var/run/pure-ftpd.pid
+
+HELPER="pure-uploadscript"
+HELPER_START_SCRIPT=""
+HELPER_OPTIONS="-B -u 0 -g 0"
+
+# Read config (will override defaults)
+DEFAULTS="/etc/pure-ftpd.defaults"
+if [ -r $DEFAULTS ]; then
+ . $DEFAULTS
+else
+ echo "${PREFIX}No $DEFAULTS found."
+fi
+
+trap "" 1
+trap "" 15
+
+which $DAEMON || { echo "${PREFIX}$DAEMON not found"; exit; }
+
+
+if [ ! -z $HELPER_START_SCRIPT ] ; then
+ DAEMON_OPTIONS="$DAEMON_OPTIONS -o"
+fi
+
+start_helper(){
+ if [ ! -z $HELPER_START_SCRIPT ]; then
+ which $HELPER || { echo "${PREFIX}$HELPER not found"; exit; }
+ echo "${PREFIX}starting upload helper daemon..."
+ $HELPER $HELPER_OPTIONS -r $HELPER_START_SCRIPT
+ else
+ echo "${PREFIX}no upload script defined, skipping"
+ fi
+}
+
+stop_helper(){
+ killall -9 "$HELPER"
+}
+
+start_daemon(){
+ which $DAEMON
+ $DAEMON -g $DAEMON_PIDFILE $DAEMON_OPTIONS &
+}
+
+stop_daemon(){
+if [ -e "$DAEMON_PIDFILE" ]; then
+ kill `cat $DAEMON_PIDFILE`
+ case $? in
+ 0)
+ echo "${PREFIX}$NAME stopped"
+ ;;
+ *)
+ kill -9 `cat $DAEMON_PIDFILE`
+ echo "${PREFIX}failed to stop $NAME - process killed"
+ ;;
+ esac
+ rm -f $DAEMON_PIDFILE
+ echo "${PREFIX}pidfile removed"
+else
+ echo "${PREFIX}pid file not found - process not running"
+fi
+}
+
+start(){
+ start_daemon
+ start_helper
+}
+
+stop(){
+ stop_daemon
+ stop_helper
+}
+
+case "$1" in
+ start)
+ echo -n "${PREFIX}Starting $NAME: "
+ start
+ echo "Done"
+ ;;
+
+ stop)
+ echo -n "${PREFIX}Stopping $NAME: "
+ stop
+ echo "Done"
+ ;;
+
+ reload)
+ echo -n "${PREFIX}Reloading $NAME configuration..."
+ if [ -e "$DAEMON_PIDFILE" ]; then
+ kill -HUP `cat $DAEMON_PIDFILE`
+ echo " done."
+ else
+ echo "pid file not found - process not running"
+ fi
+ ;;
+
+ force-reload|restart)
+ echo -n "${PREFIX}Restarting $NAME."
+ stop
+ echo -n "."
+ sleep 2
+ echo -n "."
+ start
+ echo " done."
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|restart|force-reload|help}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/generic/etc/init.d/rcS b/generic/etc/init.d/rcS
new file mode 100644
index 000000000..ba8f19d7d
--- /dev/null
+++ b/generic/etc/init.d/rcS
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# /etc/init.d/rcS
+#
+# $Id$
+#
+
+echo -n "mounting filesystems..."
+mount -a 2>/dev/null
+echo "done."
+
+# modprobe ppp_async
+# loadkmap < /etc/boottime.kmap
+
+# set hostname
+test -e /etc/hostname && hostname -F /etc/hostname
+
+echo -n "creating Network-Device lo..."
+ifconfig lo up 127.0.0.1
+echo "done."
+
+echo "running rc.d services..."
+run-parts -a start /etc/rc.d
diff --git a/generic/etc/init.d/startup b/generic/etc/init.d/startup
new file mode 100644
index 000000000..2b88bb3d8
--- /dev/null
+++ b/generic/etc/init.d/startup
@@ -0,0 +1,5 @@
+#! /bin/sh
+
+[ -x /home/startup ] && /home/startup
+
+exit 0
diff --git a/generic/etc/init.d/syslog-ng b/generic/etc/init.d/syslog-ng
new file mode 100755
index 000000000..f3d19d900
--- /dev/null
+++ b/generic/etc/init.d/syslog-ng
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# /etc/init.d/syslog-ng
+#
+
+PREFIX="syslog-ng: "
+THISFILE=$0
+syslogng="/sbin/syslog-ng"
+PIDFILE="/var/run/syslog-ng.pid"
+
+usage() {
+ echo "${PREFIX}usage: $THISFILE [start|stop]"
+}
+
+case $1 in
+
+ start)
+ echo "${PREFIX} starting"
+ if [ -e "$PIDFILE" ]; then
+ echo "${PREFIX} warning: another syslog-ng seems to be running, trying to kill it"
+ kill -9 `cat $PIDFILE`
+ rm -f $PIDFILE
+ fi
+ $syslogng
+ if [ "$?" != "0" ]; then
+ echo "${PREFIX} error, could not start daemon"
+ rm -f $PIDFILE
+ else
+ echo "${PREFIX} done"
+ fi
+ ;;
+
+ stop)
+ echo "${PREFIX} stopping"
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ echo "${PREFIX} done"
+ ;;
+
+ *)
+
+ usage
+ exit 1
+ ;;
+
+esac
+
diff --git a/generic/etc/init.d/telnetd b/generic/etc/init.d/telnetd
new file mode 100644
index 000000000..2a568bc9e
--- /dev/null
+++ b/generic/etc/init.d/telnetd
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# /etc/init.d/telnetd
+#
+# $Id$
+#
+
+if [ -f /usr/sbin/telnetd ]; then
+ echo "Starting telnetd..."
+ /usr/sbin/telnetd
+ exit 0
+fi
+
+if [ -f /sbin/utelnetd ]; then
+ echo "Starting utelnetd..."
+ /sbin/utelnetd -d
+ exit 0
+fi
+
+echo "No telnetd found. Aborting"
+
diff --git a/generic/etc/init.d/thttpd b/generic/etc/init.d/thttpd
new file mode 100755
index 000000000..1e3576e27
--- /dev/null
+++ b/generic/etc/init.d/thttpd
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# thttpd
+#
+
+PREFIX="thttpd: "
+THISFILE=$0
+DOCUMENTROOT="/var/www"
+thttpd="/usr/sbin/thttpd"
+PIDFILE="/var/run/thttpd.pid"
+LOGFILE="/var/log/thttpd.log"
+
+usage() {
+ echo "${PREFIX}usage: $THISFILE [start|stop]"
+}
+
+case $1 in
+
+ start)
+ echo "${PREFIX} starting"
+ if [ -e "$PIDFILE" ]; then
+ echo "${PREFIX} warning: another thttpd seems to be running, trying to kill it"
+ kill -9 `cat $PIDFILE`
+ rm -f $PIDFILE
+ fi
+ $thttpd -d $DOCUMENTROOT -u www -nor -nos -p 80 -c '**.cgi' -i $PIDFILE -l $LOGFILE
+ if [ "$?" != "0" ]; then
+ echo "${PREFIX} error, could not start server"
+ rm -f $PIDFILE
+ else
+ echo "${PREFIX} done"
+ fi
+ ;;
+
+ stop)
+ echo "${PREFIX} stopping"
+ kill -USR1 `cat $PIDFILE`
+ rm -f $PIDFILE
+ echo "${PREFIX} done"
+ ;;
+
+ *)
+
+ usage
+ exit 1
+ ;;
+
+esac
+
diff --git a/generic/etc/init.d/udev b/generic/etc/init.d/udev
new file mode 100644
index 000000000..cdce003a3
--- /dev/null
+++ b/generic/etc/init.d/udev
@@ -0,0 +1,112 @@
+#! /bin/sh
+#
+# start_udev
+#
+# script to initialize /dev by using udev.
+#
+# Copyright (C) 2004 Greg Kroah-Hartman <greg@kroah.com>
+#
+# Released under the GPL v2 only.
+#
+# This needs to be run at the earliest possible point in the boot
+# process.
+#
+# Based on the udev init.d script
+#
+# Thanks go out to the Gentoo developers for proving
+# that this is possible to do.
+#
+# Yes, it's very verbose, feel free to turn off all of the echo calls,
+# they were there to make me feel better that everything was working
+# properly during development...
+#
+
+. /etc/udev/udev.conf
+
+prog=udev
+sysfs_dir=/sys
+bin=/sbin/udev
+udevd=/sbin/udevd
+
+run_udev () {
+ export ACTION=add
+
+ # handle block devices and their partitions
+ for i in ${sysfs_dir}/block/*; do
+ # add each drive
+ export DEVPATH=${i#${sysfs_dir}}
+ echo "$DEVPATH"
+ $bin block
+
+ # add each partition, on each device
+ for j in $i/*; do
+ if [ -f $j/dev ]; then
+ export DEVPATH=${j#${sysfs_dir}}
+ echo "$DEVPATH"
+ $bin block
+ fi
+ done
+ done
+ # all other device classes
+ for i in ${sysfs_dir}/class/*; do
+ for j in $i/*; do
+ if [ -f $j/dev ]; then
+ export DEVPATH=${j#${sysfs_dir}}
+ CLASS=`echo ${i#${sysfs_dir}} | \
+ cut --delimiter='/' --fields=3-`
+ echo "$DEVPATH"
+ $bin $CLASS
+ fi
+ done
+ done
+ return 0
+}
+
+make_extra_nodes () {
+ # there are a few things that sysfs does not export for us.
+ # these things go here (and remember to remove them in
+ # remove_extra_nodes()
+ #
+ # Thanks to Gentoo for the initial list of these.
+ ln -snf /proc/self/fd $udev_root/fd
+ ln -snf /proc/self/fd/0 $udev_root/stdin
+ ln -snf /proc/self/fd/1 $udev_root/stdout
+ ln -snf /proc/self/fd/2 $udev_root/stderr
+ ln -snf /proc/kcore $udev_root/core
+
+ mkdir $udev_root/pts
+ mkdir $udev_root/shm
+}
+
+# don't use udev if sysfs is not mounted.
+if [ ! -d $sysfs_dir/block ]; then
+ echo "error: sysfs not mounted"
+ exit 1
+fi
+
+echo "mounting... ramfs at $udev_root"
+mount -n -t ramfs none $udev_root
+
+# propogate /udev from /sys
+echo "creating initial udev device nodes:"
+
+# You can use the shell scripts above by calling run_udev or execute udevstart
+# which does the same thing, but much faster by not using shell.
+# only comment out one of the following lines.
+#run_udev
+/sbin/udevstart
+
+echo "making extra nodes"
+make_extra_nodes
+
+echo /sbin/udevsend > /proc/sys/kernel/hotplug
+
+if [ -f "$udevd" ]; then
+ $udevd &
+fi
+
+# We can only mount /dev/pts after initialising udev
+mount /dev/pts
+
+echo "udev startup is finished"
+exit 0
diff --git a/generic/etc/inittab b/generic/etc/inittab
new file mode 100644
index 000000000..3ba682fbd
--- /dev/null
+++ b/generic/etc/inittab
@@ -0,0 +1,13 @@
+#
+# /etc/inittab
+#
+# $Id$
+#
+
+console::sysinit:/etc/init.d/rcS
+console::respawn:/sbin/getty -L @SPEED@ @CONSOLE@ vt100
+
+# Stuff to do before rebooting
+::ctrlaltdel:/sbin/reboot
+::shutdown:/bin/umount -a -r
+
diff --git a/generic/etc/ipkg.conf b/generic/etc/ipkg.conf
new file mode 100644
index 000000000..d38d9bd80
--- /dev/null
+++ b/generic/etc/ipkg.conf
@@ -0,0 +1,13 @@
+#
+# /etc/ipkg.conf
+#
+
+# src: <url-of-ipkg-repository>
+@SRC@
+
+dest root /
+
+arch @ARCH@ 10
+arch all 1
+arch noarch 1
+
diff --git a/generic/etc/nsswitch.conf b/generic/etc/nsswitch.conf
new file mode 100644
index 000000000..e5058be09
--- /dev/null
+++ b/generic/etc/nsswitch.conf
@@ -0,0 +1,22 @@
+#
+# /etc/nsswitch.conf
+#
+
+passwd: files
+group: files
+
+hosts: files
+networks: files
+
+services: files
+protocols: files
+rpc: files
+ethers: files
+netmasks: files
+netgroup: files
+publickey: files
+
+bootparams: files
+automount: files
+aliases: files
+
diff --git a/generic/etc/passwd b/generic/etc/passwd
new file mode 100644
index 000000000..9d751469f
--- /dev/null
+++ b/generic/etc/passwd
@@ -0,0 +1,4 @@
+root:x:0:0:root:/home:/bin/sh
+ftp:x:11:101:ftp user:/home:/bin/false
+www:x:12:102:www user:/home:/bin/false
+sshd:x:100:65534:SSH Server:/var/run/sshd:/bin/false
diff --git a/generic/etc/profile b/generic/etc/profile
new file mode 100644
index 000000000..12d36078b
--- /dev/null
+++ b/generic/etc/profile
@@ -0,0 +1,33 @@
+#
+# /etc/profile
+#
+# $Id$
+#
+
+export PATH="$PATH:/usr/bin:/bin:/sbin"
+
+#umask 022
+
+# This fixes the backspace when telnetting in.
+if [ "$TERM" != "linux" ]; then
+ stty erase ^H
+fi
+
+PS1=@PS1@
+PS2=@PS2@
+PS4=@PS4@
+
+alias vim='vi'
+alias ll='ls -l'
+alias ..='cd ..'
+alias ...='cd ../..'
+alias md='mkdir'
+alias rd='rmdir'
+
+# Exec local profile
+
+if [ -e "/etc/profile.local" ]; then
+ echo "running /etc/profile.local"
+ . /etc/profile.local
+fi
+
diff --git a/generic/etc/proftpd.conf b/generic/etc/proftpd.conf
new file mode 100644
index 000000000..4337a3db3
--- /dev/null
+++ b/generic/etc/proftpd.conf
@@ -0,0 +1,78 @@
+#
+# FTP Server for Frako
+#
+# Configuration by Robert Schwebel <r.schwebel@pengutronix.de>
+# Pengutronix, 2002/10/13
+#
+
+# ServerName "Master Webserver"
+
+# Spawn from inetd?
+#ServerType inetd
+ServerType standalone
+
+# don't give the server banner until _after_ authentication
+DeferWelcome off
+
+# Some basic defaults
+Port 21
+DefaultServer on
+Umask 022
+TimeoutLogin 120
+TimeoutIdle 600
+TimeoutNoTransfer 900
+TimeoutStalled 3600
+
+# User and group
+User root
+Group root
+
+# This is a non-customer usable name, (ie they should be connecting via www.{domain})
+# not 'hostname'. Therefore let's dump them in a dummy account and wait for them to
+# scream.
+DefaultRoot /
+
+# Performance, let's do DNS resolution when we process the logs...
+UseReverseDNS off
+
+# Where do we put the pid files?
+ScoreboardFile /tmp/proftpd.scoreboard
+
+# Logging options
+TransferLog NONE
+
+# Some logging formats
+LogFormat default "%h %l %u %t \"%r\" %s %b"
+LogFormat auth "%v [%P] %h %t \"%r\" %s"
+LogFormat write "%h %l %u %t \"%r\" %s %b"
+
+
+# Global settings
+<Global>
+ DisplayLogin /etc/ftp-welcome.msg
+ DisplayFirstChdir readme
+
+ # having to delete before uploading is a pain ;)
+ AllowOverwrite yes
+
+ # Turn off Ident lookups
+
+ # Logging
+ # file/dir access
+ #ExtendedLog /var/spool/syslog/proftpd/access.log WRITE,READ write
+
+ # Record all logins
+ #ExtendedLog /var/spool/syslog/proftpd/auth.log AUTH auth
+
+ # Paranoia logging level....
+ ##ExtendedLog /var/spool/syslog/proftpd/paranoid.log ALL default
+
+</Global>
+
+<Directory /home/*>
+ AllowOverwrite on
+</Directory>
+
+# Where to store the PID of the proftpd process in standalone mode
+PidFile /tmp/proftpd.pid
+
diff --git a/generic/etc/protocols b/generic/etc/protocols
new file mode 100644
index 000000000..04135041a
--- /dev/null
+++ b/generic/etc/protocols
@@ -0,0 +1,5 @@
+ip 0 IP # internet protocol v4
+icmp 1 ICMP # internet control message protocol
+tcp 6 TCP # transmission control protocol
+udp 17 UDP # user datagram protocol
+
diff --git a/generic/etc/ptx_permissions.unconfigured b/generic/etc/ptx_permissions.unconfigured
new file mode 100644
index 000000000..fc96d460c
--- /dev/null
+++ b/generic/etc/ptx_permissions.unconfigured
@@ -0,0 +1,15 @@
+/etc root.root 0755
+/etc/ptx_permissions.unconfigured root.root 0644
+/etc/boottime.kmap root.root 0644
+/etc/fstab root.root 0644
+/etc/group root.root 0644
+/etc/gshadow root.root 0640
+/etc/hostname root.root 0644
+/etc/hosts root.root 0644
+/etc/init.d root.root 0755
+/etc/inittab root.root 0644
+/etc/passwd root.root 0644
+/etc/profile root.root 0644
+/etc/resolv.conf root.root 0644
+/etc/shadow root.root 0640
+/etc/shadow- root.root 0640
diff --git a/generic/etc/resolv.conf b/generic/etc/resolv.conf
new file mode 100644
index 000000000..bdf2b466d
--- /dev/null
+++ b/generic/etc/resolv.conf
@@ -0,0 +1,3 @@
+#search pengutronix.de
+#nameserver
+#nameserver
diff --git a/generic/etc/rsyncd.conf b/generic/etc/rsyncd.conf
new file mode 100644
index 000000000..94a89b09e
--- /dev/null
+++ b/generic/etc/rsyncd.conf
@@ -0,0 +1,31 @@
+#
+# generic implementation
+#
+uid = root
+gid = root
+use chroot = no
+max connections = 4
+syslog facility = local5
+pid file = /var/run/rsyncd.pid
+
+#[ftp]
+# path = /var/ftp/pub
+# comment = whole ftp area (approx 6.1 GB)
+#
+#[sambaftp]
+# path = /var/ftp/pub/samba
+# comment = Samba ftp area (approx 300 MB)
+#
+#[rsyncftp]
+# path = /var/ftp/pub/rsync
+# comment = rsync ftp area (approx 6 MB)
+#
+#[sambawww]
+# path = /public_html/samba
+# comment = Samba WWW pages (approx 240 MB)
+#
+#[cvs]
+# path = /data/cvs
+# comment = CVS repository (requires authentication)
+# auth users = tridge, susan
+# secrets file = /etc/rsyncd.secrets \ No newline at end of file
diff --git a/generic/etc/rsyncd.secrets b/generic/etc/rsyncd.secrets
new file mode 100644
index 000000000..05b507d42
--- /dev/null
+++ b/generic/etc/rsyncd.secrets
@@ -0,0 +1,2 @@
+tridge:mypass
+susan:herpass
diff --git a/generic/etc/services b/generic/etc/services
new file mode 100644
index 000000000..36bfd2b69
--- /dev/null
+++ b/generic/etc/services
@@ -0,0 +1,8 @@
+#
+# This file is autogenerated, please do not edit manually
+#
+@NTP@
+@RSHD@
+@CVSD@
+@RSYNCD@
+
diff --git a/generic/etc/shadow b/generic/etc/shadow
new file mode 100644
index 000000000..eb45e76be
--- /dev/null
+++ b/generic/etc/shadow
@@ -0,0 +1,3 @@
+root::12215:0:99999:7:::
+sshd:!:0:0:99999:7:::
+ftp::0:0:99999:7:::
diff --git a/generic/etc/shadow- b/generic/etc/shadow-
new file mode 100644
index 000000000..40b25ab0e
--- /dev/null
+++ b/generic/etc/shadow-
@@ -0,0 +1,4 @@
+root:$1$$wQCY2EFvsLKFoVcT1e0Kq0:12215:0:99999:7:::
+sshd:!:0:0:99999:7:::
+ratio:$1$$Ox3sD7SU2sKjDwBMqX2/b0:12215:0:99999:7:::
+system:$1$$SPGJYr/enc6gAZU73WtZw/:12215:0:99999:7:::
diff --git a/generic/etc/syslog-ng.conf b/generic/etc/syslog-ng.conf
new file mode 100644
index 000000000..254aecfd2
--- /dev/null
+++ b/generic/etc/syslog-ng.conf
@@ -0,0 +1,37 @@
+#
+# syslog-ng configuration
+#
+
+#
+# Options
+#
+
+# sync every 0 lines
+options { long_hostnames(off); sync(0); };
+
+#
+# Sources
+#
+
+# log source is /dev/log only
+source src { unix-stream("/dev/log"); internal(); };
+# source net { udp(); };
+
+#
+# Destinations
+#
+
+destination syslog { file("/var/log/syslog"); };
+
+#
+# Filters
+#
+
+#filter f_auth { facility(auth); };
+
+#
+# Logs
+#
+
+log { source(src); destination(syslog); };
+
diff --git a/generic/etc/udev/udev.conf b/generic/etc/udev/udev.conf
new file mode 100644
index 000000000..b5639e003
--- /dev/null
+++ b/generic/etc/udev/udev.conf
@@ -0,0 +1,15 @@
+# udev.conf
+#
+
+# Where in the filesystem to place the device nodes
+udev_root="/dev"
+
+# The name and location of the udev database.
+udev_db="/udev/.udevdb"
+
+# The name and location of the udev rules file(s).
+udev_rules="/etc/udev/rules.d"
+
+# The syslog(3) priority: "err", "info", or the numerical value.
+udev_log="err"
+
diff --git a/generic/etc/udhcpc.script b/generic/etc/udhcpc.script
new file mode 100644
index 000000000..130c37e0c
--- /dev/null
+++ b/generic/etc/udhcpc.script
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# $Id$
+
+[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
+
+RESOLV_CONF="/etc/resolv.conf"
+[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
+[ -n "$subnet" ] && NETMASK="netmask $subnet"
+
+case "$1" in
+ deconfig)
+ /sbin/ifconfig $interface 0.0.0.0
+ ;;
+
+ renew|bound)
+ /sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+
+ if [ -n "$router" ] ; then
+ echo "deleting routers"
+ while route del default gw 0.0.0.0 dev $interface ; do
+ :
+ done
+
+ for i in $router ; do
+ route add default gw $i dev $interface
+ done
+ fi
+
+ echo -n > $RESOLV_CONF
+ [ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
+ for i in $dns ; do
+ echo adding dns $i
+ echo nameserver $i >> $RESOLV_CONF
+ done
+ ;;
+esac
+
+exit 0
diff --git a/generic/httpd.conf b/generic/httpd.conf
new file mode 100644
index 000000000..1fb0928ac
--- /dev/null
+++ b/generic/httpd.conf
@@ -0,0 +1,1037 @@
+#
+# Based upon the NCSA server configuration files originally by Rob McCool.
+#
+# This is the main Apache server configuration file. It contains the
+# configuration directives that give the server its instructions.
+# See <URL:http://httpd.apache.org/docs-2.0/> for detailed information about
+# the directives.
+#
+# Do NOT simply read the instructions in here without understanding
+# what they do. They're here only as hints or reminders. If you are unsure
+# consult the online docs. You have been warned.
+#
+# The configuration directives are grouped into three basic sections:
+# 1. Directives that control the operation of the Apache server process as a
+# whole (the 'global environment').
+# 2. Directives that define the parameters of the 'main' or 'default' server,
+# which responds to requests that aren't handled by a virtual host.
+# These directives also provide default values for the settings
+# of all virtual hosts.
+# 3. Settings for virtual hosts, which allow Web requests to be sent to
+# different IP addresses or hostnames and have them handled by the
+# same Apache server process.
+#
+# Configuration and logfile names: If the filenames you specify for many
+# of the server's control files begin with "/" (or "drive:/" for Win32), the
+# server will use that explicit path. If the filenames do *not* begin
+# with "/", the value of ServerRoot is prepended -- so "@rel_logfiledir@/foo.log"
+# with ServerRoot set to "@@ServerRoot@@" will be interpreted by the
+# server as "@@ServerRoot@@/@rel_logfiledir@/foo.log".
+#
+
+### Section 1: Global Environment
+#
+# The directives in this section affect the overall operation of Apache,
+# such as the number of concurrent requests it can handle or where it
+# can find its configuration files.
+#
+
+#
+# ServerRoot: The top of the directory tree under which the server's
+# configuration, error, and log files are kept.
+#
+# NOTE! If you intend to place this on an NFS (or otherwise network)
+# mounted filesystem then please read the LockFile documentation (available
+# at <URL:http://httpd.apache.org/docs-2.0/mod/mpm_common.html#lockfile>);
+# you will save yourself a lot of trouble.
+#
+# Do NOT add a slash at the end of the directory path.
+#
+ServerRoot @SERVERROOT@
+
+#
+# The accept serialization lock file MUST BE STORED ON A LOCAL DISK.
+#
+<IfModule !mpm_winnt.c>
+<IfModule !mpm_netware.c>
+#LockFile @rel_logfiledir@/accept.lock
+</IfModule>
+</IfModule>
+
+#
+# ScoreBoardFile: File used to store internal server process information.
+# If unspecified (the default), the scoreboard will be stored in an
+# anonymous shared memory segment, and will be unavailable to third-party
+# applications.
+# If specified, ensure that no two invocations of Apache share the same
+# scoreboard file. The scoreboard file MUST BE STORED ON A LOCAL DISK.
+#
+<IfModule !mpm_netware.c>
+<IfModule !perchild.c>
+#ScoreBoardFile @rel_logfiledir@/apache_runtime_status
+</IfModule>
+</IfModule>
+
+
+#
+# PidFile: The file in which the server should record its process
+# identification number when it starts.
+#
+<IfModule !mpm_netware.c>
+PidFile @PIDFILE@
+</IfModule>
+
+#
+# Timeout: The number of seconds before receives and sends time out.
+#
+Timeout 300
+
+#
+# KeepAlive: Whether or not to allow persistent connections (more than
+# one request per connection). Set to "Off" to deactivate.
+#
+KeepAlive On
+
+#
+# MaxKeepAliveRequests: The maximum number of requests to allow
+# during a persistent connection. Set to 0 to allow an unlimited amount.
+# We recommend you leave this number high, for maximum performance.
+#
+MaxKeepAliveRequests 100
+
+#
+# KeepAliveTimeout: Number of seconds to wait for the next request from the
+# same client on the same connection.
+#
+KeepAliveTimeout 15
+
+##
+## Server-Pool Size Regulation (MPM specific)
+##
+
+# prefork MPM
+# StartServers: number of server processes to start
+# MinSpareServers: minimum number of server processes which are kept spare
+# MaxSpareServers: maximum number of server processes which are kept spare
+# MaxClients: maximum number of server processes allowed to start
+# MaxRequestsPerChild: maximum number of requests a server process serves
+<IfModule prefork.c>
+StartServers 2
+MinSpareServers 1
+MaxSpareServers 5
+MaxClients 10
+MaxRequestsPerChild 0
+</IfModule>
+
+# worker MPM
+# StartServers: initial number of server processes to start
+# MaxClients: maximum number of simultaneous client connections
+# MinSpareThreads: minimum number of worker threads which are kept spare
+# MaxSpareThreads: maximum number of worker threads which are kept spare
+# ThreadsPerChild: constant number of worker threads in each server process
+# MaxRequestsPerChild: maximum number of requests a server process serves
+<IfModule worker.c>
+StartServers 2
+MaxClients 150
+MinSpareThreads 25
+MaxSpareThreads 75
+ThreadsPerChild 25
+MaxRequestsPerChild 0
+</IfModule>
+
+# perchild MPM
+# NumServers: constant number of server processes
+# StartThreads: initial number of worker threads in each server process
+# MinSpareThreads: minimum number of worker threads which are kept spare
+# MaxSpareThreads: maximum number of worker threads which are kept spare
+# MaxThreadsPerChild: maximum number of worker threads in each server process
+# MaxRequestsPerChild: maximum number of connections per server process
+<IfModule perchild.c>
+NumServers 5
+StartThreads 5
+MinSpareThreads 5
+MaxSpareThreads 10
+MaxThreadsPerChild 20
+MaxRequestsPerChild 0
+</IfModule>
+
+# WinNT MPM
+# ThreadsPerChild: constant number of worker threads in the server process
+# MaxRequestsPerChild: maximum number of requests a server process serves
+<IfModule mpm_winnt.c>
+ThreadsPerChild 250
+MaxRequestsPerChild 0
+</IfModule>
+
+# BeOS MPM
+# StartThreads: how many threads do we initially spawn?
+# MaxClients: max number of threads we can have (1 thread == 1 client)
+# MaxRequestsPerThread: maximum number of requests each thread will process
+<IfModule beos.c>
+StartThreads 10
+MaxClients 50
+MaxRequestsPerThread 10000
+</IfModule>
+
+# NetWare MPM
+# ThreadStackSize: Stack size allocated for each worker thread
+# StartThreads: Number of worker threads launched at server startup
+# MinSpareThreads: Minimum number of idle threads, to handle request spikes
+# MaxSpareThreads: Maximum number of idle threads
+# MaxThreads: Maximum number of worker threads alive at the same time
+# MaxRequestsPerChild: Maximum number of requests a thread serves. It is
+# recommended that the default value of 0 be set for this
+# directive on NetWare. This will allow the thread to
+# continue to service requests indefinitely.
+<IfModule mpm_netware.c>
+ThreadStackSize 65536
+StartThreads 250
+MinSpareThreads 25
+MaxSpareThreads 250
+MaxThreads 1000
+MaxRequestsPerChild 0
+MaxMemFree 100
+</IfModule>
+
+# OS/2 MPM
+# StartServers: Number of server processes to maintain
+# MinSpareThreads: Minimum number of idle threads per process,
+# to handle request spikes
+# MaxSpareThreads: Maximum number of idle threads per process
+# MaxRequestsPerChild: Maximum number of connections per server process
+<IfModule mpmt_os2.c>
+StartServers 2
+MinSpareThreads 5
+MaxSpareThreads 10
+MaxRequestsPerChild 0
+</IfModule>
+
+#
+# Listen: Allows you to bind Apache to specific IP addresses and/or
+# ports, instead of the default. See also the <VirtualHost>
+# directive.
+#
+# Change this to Listen on specific IP addresses as shown below to
+# prevent Apache from glomming onto all bound IP addresses (0.0.0.0)
+#
+#Listen localhost:80
+Listen @LISTEN@
+#@nonssl_listen_stmt_1@
+
+#
+# Dynamic Shared Object (DSO) Support
+#
+# To be able to use the functionality of a module which was built as a DSO you
+# have to place corresponding `LoadModule' lines at this location so the
+# directives contained in it are actually available _before_ they are used.
+# Statically compiled modules (those listed by `httpd -l') do not need
+# to be loaded here.
+#
+# Example:
+# LoadModule foo_module modules/mod_foo.so
+#
+#@@LoadModule@@
+
+#
+# ExtendedStatus controls whether Apache will generate "full" status
+# information (ExtendedStatus On) or just basic information (ExtendedStatus
+# Off) when the "server-status" handler is called. The default is Off.
+#
+#ExtendedStatus On
+
+### Section 2: 'Main' server configuration
+#
+# The directives in this section set up the values used by the 'main'
+# server, which responds to any requests that aren't handled by a
+# <VirtualHost> definition. These values also provide defaults for
+# any <VirtualHost> containers you may define later in the file.
+#
+# All of these directives may appear inside <VirtualHost> containers,
+# in which case these default settings will be overridden for the
+# virtual host being defined.
+#
+
+<IfModule !mpm_winnt.c>
+<IfModule !mpm_netware.c>
+#
+# If you wish httpd to run as a different user or group, you must run
+# httpd as root initially and it will switch.
+#
+# User/Group: The name (or #number) of the user/group to run httpd as.
+# . On SCO (ODT 3) use "User nouser" and "Group nogroup".
+# . On HPUX you may not be able to use shared memory as nobody, and the
+# suggested workaround is to create a user www and use that user.
+# NOTE that some kernels refuse to setgid(Group) or semctl(IPC_SET)
+# when the value of (unsigned)Group is above 60000;
+# don't use Group www on these systems!
+#
+User www
+Group www
+</IfModule>
+</IfModule>
+
+#
+# ServerAdmin: Your address, where problems with the server should be
+# e-mailed. This address appears on some server-generated pages, such
+# as error documents. e.g. admin@your-domain.com
+#
+ServerAdmin @SERVERADMIN@
+
+#
+# ServerName gives the name and port that the server uses to identify itself.
+# This can often be determined automatically, but we recommend you specify
+# it explicitly to prevent problems during startup.
+#
+# If this is not set to valid DNS name for your host, server-generated
+# redirections will not work. See also the UseCanonicalName directive.
+#
+# If your host doesn't have a registered DNS name, enter its IP address here.
+# You will have to access it by its address anyway, and this will make
+# redirections work in a sensible way.
+#
+
+ServerName @SERVERNAME@
+
+#
+# UseCanonicalName: Determines how Apache constructs self-referencing
+# URLs and the SERVER_NAME and SERVER_PORT variables.
+# When set "Off", Apache will use the Hostname and Port supplied
+# by the client. When set "On", Apache will use the value of the
+# ServerName directive.
+#
+UseCanonicalName Off
+
+#
+# DocumentRoot: The directory out of which you will serve your
+# documents. By default, all requests are taken from this directory, but
+# symbolic links and aliases may be used to point to other locations.
+#
+DocumentRoot @DOCUMENTROOT@
+
+#
+# Each directory to which Apache has access can be configured with respect
+# to which services and features are allowed and/or disabled in that
+# directory (and its subdirectories).
+#
+# First, we configure the "default" to be a very restrictive set of
+# features.
+#
+<Directory />
+ Options FollowSymLinks
+ AllowOverride None
+</Directory>
+
+#
+# Note that from this point forward you must specifically allow
+# particular features to be enabled - so if something's not working as
+# you might expect, make sure that you have specifically enabled it
+# below.
+#
+
+#
+# This should be changed to whatever you set DocumentRoot to.
+#
+<Directory @DOCUMENTROOT@>
+
+#
+# Possible values for the Options directive are "None", "All",
+# or any combination of:
+# Indexes Includes FollowSymLinks SymLinksifOwnerMatch ExecCGI MultiViews
+#
+# Note that "MultiViews" must be named *explicitly* --- "Options All"
+# doesn't give it to you.
+#
+# The Options directive is both complicated and important. Please see
+# http://httpd.apache.org/docs-2.0/mod/core.html#options
+# for more information.
+#
+ Options Indexes FollowSymLinks
+
+#
+# AllowOverride controls what directives may be placed in .htaccess files.
+# It can be "All", "None", or any combination of the keywords:
+# Options FileInfo AuthConfig Limit Indexes
+#
+ AllowOverride None
+
+#
+# Controls who can get stuff from this server.
+#
+ Order allow,deny
+ Allow from all
+
+</Directory>
+
+#
+# UserDir: The name of the directory that is appended onto a user's home
+# directory if a ~user request is received.
+#
+UserDir public_html
+
+#
+# Control access to UserDir directories. The following is an example
+# for a site where these directories are restricted to read-only.
+#
+#<Directory /home/*/public_html>
+# AllowOverride FileInfo AuthConfig Limit Indexes
+# Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec
+# <Limit GET POST OPTIONS PROPFIND>
+# Order allow,deny
+# Allow from all
+# </Limit>
+# <LimitExcept GET POST OPTIONS PROPFIND>
+# Order deny,allow
+# Deny from all
+# </LimitExcept>
+#</Directory>
+
+#
+# DirectoryIndex: sets the file that Apache will serve if a directory
+# is requested.
+#
+# The index.html.var file (a type-map) is used to deliver content-
+# negotiated documents. The MultiViews Option can be used for the
+# same purpose, but it is much slower.
+#
+DirectoryIndex index.html index.html.var
+
+#
+# AccessFileName: The name of the file to look for in each directory
+# for additional configuration directives. See also the AllowOverride
+# directive.
+#
+AccessFileName .htaccess
+
+#
+# The following lines prevent .htaccess and .htpasswd files from being
+# viewed by Web clients.
+#
+<FilesMatch "^\.ht">
+ Order allow,deny
+ Deny from all
+</FilesMatch>
+
+#
+# TypesConfig describes where the mime.types file (or equivalent) is
+# to be found.
+#
+TypesConfig @DOCUMENTROOT@/conf/mime.types
+
+#
+# DefaultType is the default MIME type the server will use for a document
+# if it cannot otherwise determine one, such as from filename extensions.
+# If your server contains mostly text or HTML documents, "text/plain" is
+# a good value. If most of your content is binary, such as applications
+# or images, you may want to use "application/octet-stream" instead to
+# keep browsers from trying to display binary files as though they are
+# text.
+#
+DefaultType text/plain
+
+#
+# The mod_mime_magic module allows the server to use various hints from the
+# contents of the file itself to determine its type. The MIMEMagicFile
+# directive tells the module where the hint definitions are located.
+#
+<IfModule mod_mime_magic.c>
+ MIMEMagicFile @DOCUMENTROOT@/conf/magic
+</IfModule>
+
+#
+# HostnameLookups: Log the names of clients or just their IP addresses
+# e.g., www.apache.org (on) or 204.62.129.132 (off).
+# The default is off because it'd be overall better for the net if people
+# had to knowingly turn this feature on, since enabling it means that
+# each client request will result in AT LEAST one lookup request to the
+# nameserver.
+#
+HostnameLookups Off
+
+#
+# EnableMMAP: Control whether memory-mapping is used to deliver
+# files (assuming that the underlying OS supports it).
+# The default is on; turn this off if you serve from NFS-mounted
+# filesystems. On some systems, turning it off (regardless of
+# filesystem) can improve performance; for details, please see
+# http://httpd.apache.org/docs-2.0/mod/core.html#enablemmap
+#
+#EnableMMAP off
+
+#
+# EnableSendfile: Control whether the sendfile kernel support is
+# used to deliver files (assuming that the OS supports it).
+# The default is on; turn this off if you serve from NFS-mounted
+# filesystems. Please see
+# http://httpd.apache.org/docs-2.0/mod/core.html#enablesendfile
+#
+#EnableSendfile off
+
+#
+# ErrorLog: The location of the error log file.
+# If you do not specify an ErrorLog directive within a <VirtualHost>
+# container, error messages relating to that virtual host will be
+# logged here. If you *do* define an error logfile for a <VirtualHost>
+# container, that host's errors will be logged there and not here.
+#
+ErrorLog @LOGPATH@/error_log
+
+#
+# LogLevel: Control the number of messages logged to the error_log.
+# Possible values include: debug, info, notice, warn, error, crit,
+# alert, emerg.
+#
+LogLevel warn
+
+#
+# The following directives define some format nicknames for use with
+# a CustomLog directive (see below).
+#
+LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
+LogFormat "%h %l %u %t \"%r\" %>s %b" common
+LogFormat "%{Referer}i -> %U" referer
+LogFormat "%{User-agent}i" agent
+
+# You need to enable mod_logio.c to use %I and %O
+#LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\" %I %O" combinedio
+
+#
+# The location and format of the access logfile (Common Logfile Format).
+# If you do not define any access logfiles within a <VirtualHost>
+# container, they will be logged here. Contrariwise, if you *do*
+# define per-<VirtualHost> access logfiles, transactions will be
+# logged therein and *not* in this file.
+#
+CustomLog @LOGPATH@/access_log common
+
+#
+# If you would like to have agent and referer logfiles, uncomment the
+# following directives.
+#
+#CustomLog @rel_logfiledir@/referer_log referer
+#CustomLog @rel_logfiledir@/agent_log agent
+
+#
+# If you prefer a single logfile with access, agent, and referer information
+# (Combined Logfile Format) you can use the following directive.
+#
+#CustomLog @rel_logfiledir@/access_log combined
+
+#
+# ServerTokens
+# This directive configures what you return as the Server HTTP response
+# Header. The default is 'Full' which sends information about the OS-Type
+# and compiled in modules.
+# Set to one of: Full | OS | Minor | Minimal | Major | Prod
+# where Full conveys the most information, and Prod the least.
+#
+ServerTokens Full
+
+#
+# Optionally add a line containing the server version and virtual host
+# name to server-generated pages (internal error documents, FTP directory
+# listings, mod_status and mod_info output etc., but not CGI generated
+# documents or custom error documents).
+# Set to "EMail" to also include a mailto: link to the ServerAdmin.
+# Set to one of: On | Off | EMail
+#
+ServerSignature On
+
+#
+# Aliases: Add here as many aliases as you need (with no limit). The format is
+# Alias fakename realname
+#
+# Note that if you include a trailing / on fakename then the server will
+# require it to be present in the URL. So "/icons" isn't aliased in this
+# example, only "/icons/". If the fakename is slash-terminated, then the
+# realname must also be slash terminated, and if the fakename omits the
+# trailing slash, the realname must also omit it.
+#
+# We include the /icons/ alias for FancyIndexed directory listings. If you
+# do not use FancyIndexing, you may comment this out.
+#
+Alias /icons/ "icons/"
+
+<Directory "icons">
+ Options Indexes MultiViews
+ AllowOverride None
+ Order allow,deny
+ Allow from all
+</Directory>
+
+#
+# This should be changed to the ServerRoot/manual/. The alias provides
+# the manual, even if you choose to move your DocumentRoot. You may comment
+# this out if you do not care for the documentation.
+#
+#AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|ru))?(/.*)?$ "manual$1"
+
+#<Directory "manual">
+# Options Indexes
+# AllowOverride None
+# Order allow,deny
+# Allow from all
+#
+# <Files *.html>
+# SetHandler type-map
+# </Files>
+#
+# SetEnvIf Request_URI ^/manual/(de|en|es|fr|ja|ko|ru)/ prefer-language=$1
+# RedirectMatch 301 ^/manual(?:/(de|en|es|fr|ja|ko|ru)){2,}(/.*)?$ /manual/$1$2
+#</Directory>
+
+#
+# ScriptAlias: This controls which directories contain server scripts.
+# ScriptAliases are essentially the same as Aliases, except that
+# documents in the realname directory are treated as applications and
+# run by the server when requested rather than as documents sent to the client.
+# The same rules about trailing "/" apply to ScriptAlias directives as to
+# Alias.
+#
+ScriptAlias /cgi-bin/ "cgi-bin/"
+
+<IfModule mod_cgid.c>
+#
+# Additional to mod_cgid.c settings, mod_cgid has Scriptsock <path>
+# for setting UNIX socket for communicating with cgid.
+#
+#Scriptsock @rel_runtimedir@/cgisock
+</IfModule>
+
+#
+# "bin_cgi" should be changed to whatever your ScriptAliased
+# CGI directory exists, if you have that configured.
+#
+<Directory "cgi-bin">
+ AllowOverride None
+ Options None
+ Order allow,deny
+ Allow from all
+</Directory>
+
+#
+# Redirect allows you to tell clients about documents which used to exist in
+# your server's namespace, but do not anymore. This allows you to tell the
+# clients where to look for the relocated document.
+# Example:
+# Redirect permanent /foo http://www.example.com/bar
+
+#
+# Directives controlling the display of server-generated directory listings.
+#
+
+#
+# IndexOptions: Controls the appearance of server-generated directory
+# listings.
+#
+IndexOptions FancyIndexing VersionSort
+
+#
+# AddIcon* directives tell the server which icon to show for different
+# files or filename extensions. These are only displayed for
+# FancyIndexed directories.
+#
+AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip
+
+AddIconByType (TXT,/icons/text.gif) text/*
+AddIconByType (IMG,/icons/image2.gif) image/*
+AddIconByType (SND,/icons/sound2.gif) audio/*
+AddIconByType (VID,/icons/movie.gif) video/*
+
+AddIcon /icons/binary.gif .bin .exe
+AddIcon /icons/binhex.gif .hqx
+AddIcon /icons/tar.gif .tar
+AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv
+AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip
+AddIcon /icons/a.gif .ps .ai .eps
+AddIcon /icons/layout.gif .html .shtml .htm .pdf
+AddIcon /icons/text.gif .txt
+AddIcon /icons/c.gif .c
+AddIcon /icons/p.gif .pl .py
+AddIcon /icons/f.gif .for
+AddIcon /icons/dvi.gif .dvi
+AddIcon /icons/uuencoded.gif .uu
+AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl
+AddIcon /icons/tex.gif .tex
+AddIcon /icons/bomb.gif core
+
+AddIcon /icons/back.gif ..
+AddIcon /icons/hand.right.gif README
+AddIcon /icons/folder.gif ^^DIRECTORY^^
+AddIcon /icons/blank.gif ^^BLANKICON^^
+
+#
+# DefaultIcon is which icon to show for files which do not have an icon
+# explicitly set.
+#
+DefaultIcon /icons/unknown.gif
+
+#
+# AddDescription allows you to place a short description after a file in
+# server-generated indexes. These are only displayed for FancyIndexed
+# directories.
+# Format: AddDescription "description" filename
+#
+#AddDescription "GZIP compressed document" .gz
+#AddDescription "tar archive" .tar
+#AddDescription "GZIP compressed tar archive" .tgz
+
+#
+# ReadmeName is the name of the README file the server will look for by
+# default, and append to directory listings.
+#
+# HeaderName is the name of a file which should be prepended to
+# directory indexes.
+ReadmeName README.html
+HeaderName HEADER.html
+
+#
+# IndexIgnore is a set of filenames which directory indexing should ignore
+# and not include in the listing. Shell-style wildcarding is permitted.
+#
+IndexIgnore .??* *~ *# HEADER* README* RCS CVS *,v *,t
+
+#
+# DefaultLanguage and AddLanguage allows you to specify the language of
+# a document. You can then use content negotiation to give a browser a
+# file in a language the user can understand.
+#
+# Specify a default language. This means that all data
+# going out without a specific language tag (see below) will
+# be marked with this one. You probably do NOT want to set
+# this unless you are sure it is correct for all cases.
+#
+# * It is generally better to not mark a page as
+# * being a certain language than marking it with the wrong
+# * language!
+#
+# DefaultLanguage nl
+#
+# Note 1: The suffix does not have to be the same as the language
+# keyword --- those with documents in Polish (whose net-standard
+# language code is pl) may wish to use "AddLanguage pl .po" to
+# avoid the ambiguity with the common suffix for perl scripts.
+#
+# Note 2: The example entries below illustrate that in some cases
+# the two character 'Language' abbreviation is not identical to
+# the two character 'Country' code for its country,
+# E.g. 'Danmark/dk' versus 'Danish/da'.
+#
+# Note 3: In the case of 'ltz' we violate the RFC by using a three char
+# specifier. There is 'work in progress' to fix this and get
+# the reference data for rfc1766 cleaned up.
+#
+# Catalan (ca) - Croatian (hr) - Czech (cs) - Danish (da) - Dutch (nl)
+# English (en) - Esperanto (eo) - Estonian (et) - French (fr) - German (de)
+# Greek-Modern (el) - Hebrew (he) - Italian (it) - Japanese (ja)
+# Korean (ko) - Luxembourgeois* (ltz) - Norwegian Nynorsk (nn)
+# Norwegian (no) - Polish (pl) - Portugese (pt)
+# Brazilian Portuguese (pt-BR) - Russian (ru) - Swedish (sv)
+# Simplified Chinese (zh-CN) - Spanish (es) - Traditional Chinese (zh-TW)
+#
+AddLanguage ca .ca
+AddLanguage cs .cz .cs
+AddLanguage da .dk
+AddLanguage de .de
+AddLanguage el .el
+AddLanguage en .en
+AddLanguage eo .eo
+AddLanguage es .es
+AddLanguage et .et
+AddLanguage fr .fr
+AddLanguage he .he
+AddLanguage hr .hr
+AddLanguage it .it
+AddLanguage ja .ja
+AddLanguage ko .ko
+AddLanguage ltz .ltz
+AddLanguage nl .nl
+AddLanguage nn .nn
+AddLanguage no .no
+AddLanguage pl .po
+AddLanguage pt .pt
+AddLanguage pt-BR .pt-br
+AddLanguage ru .ru
+AddLanguage sv .sv
+AddLanguage zh-CN .zh-cn
+AddLanguage zh-TW .zh-tw
+
+#
+# LanguagePriority allows you to give precedence to some languages
+# in case of a tie during content negotiation.
+#
+# Just list the languages in decreasing order of preference. We have
+# more or less alphabetized them here. You probably want to change this.
+#
+LanguagePriority en ca cs da de el eo es et fr he hr it ja ko ltz nl nn no pl pt pt-BR ru sv zh-CN zh-TW
+
+#
+# ForceLanguagePriority allows you to serve a result page rather than
+# MULTIPLE CHOICES (Prefer) [in case of a tie] or NOT ACCEPTABLE (Fallback)
+# [in case no accepted languages matched the available variants]
+#
+ForceLanguagePriority Prefer Fallback
+
+#
+# Commonly used filename extensions to character sets. You probably
+# want to avoid clashes with the language extensions, unless you
+# are good at carefully testing your setup after each change.
+# See http://www.iana.org/assignments/character-sets for the
+# official list of charset names and their respective RFCs.
+#
+AddCharset ISO-8859-1 .iso8859-1 .latin1
+AddCharset ISO-8859-2 .iso8859-2 .latin2 .cen
+AddCharset ISO-8859-3 .iso8859-3 .latin3
+AddCharset ISO-8859-4 .iso8859-4 .latin4
+AddCharset ISO-8859-5 .iso8859-5 .latin5 .cyr .iso-ru
+AddCharset ISO-8859-6 .iso8859-6 .latin6 .arb
+AddCharset ISO-8859-7 .iso8859-7 .latin7 .grk
+AddCharset ISO-8859-8 .iso8859-8 .latin8 .heb
+AddCharset ISO-8859-9 .iso8859-9 .latin9 .trk
+AddCharset ISO-2022-JP .iso2022-jp .jis
+AddCharset ISO-2022-KR .iso2022-kr .kis
+AddCharset ISO-2022-CN .iso2022-cn .cis
+AddCharset Big5 .Big5 .big5
+# For russian, more than one charset is used (depends on client, mostly):
+AddCharset WINDOWS-1251 .cp-1251 .win-1251
+AddCharset CP866 .cp866
+AddCharset KOI8-r .koi8-r .koi8-ru
+AddCharset KOI8-ru .koi8-uk .ua
+AddCharset ISO-10646-UCS-2 .ucs2
+AddCharset ISO-10646-UCS-4 .ucs4
+AddCharset UTF-8 .utf8
+
+# The set below does not map to a specific (iso) standard
+# but works on a fairly wide range of browsers. Note that
+# capitalization actually matters (it should not, but it
+# does for some browsers).
+#
+# See http://www.iana.org/assignments/character-sets
+# for a list of sorts. But browsers support few.
+#
+AddCharset GB2312 .gb2312 .gb
+AddCharset utf-7 .utf7
+AddCharset utf-8 .utf8
+AddCharset big5 .big5 .b5
+AddCharset EUC-TW .euc-tw
+AddCharset EUC-JP .euc-jp
+AddCharset EUC-KR .euc-kr
+AddCharset shift_jis .sjis
+
+#
+# AddType allows you to add to or override the MIME configuration
+# file mime.types for specific file types.
+#
+#AddType application/x-tar .tgz
+#
+# AddEncoding allows you to have certain browsers uncompress
+# information on the fly. Note: Not all browsers support this.
+# Despite the name similarity, the following Add* directives have nothing
+# to do with the FancyIndexing customization directives above.
+#
+#AddEncoding x-compress .Z
+#AddEncoding x-gzip .gz .tgz
+#
+# If the AddEncoding directives above are commented-out, then you
+# probably should define those extensions to indicate media types:
+#
+AddType application/x-compress .Z
+AddType application/x-gzip .gz .tgz
+
+#
+# AddHandler allows you to map certain file extensions to "handlers":
+# actions unrelated to filetype. These can be either built into the server
+# or added with the Action directive (see below)
+#
+# To use CGI scripts outside of ScriptAliased directories:
+# (You will also need to add "ExecCGI" to the "Options" directive.)
+#
+#AddHandler cgi-script .cgi
+
+#
+# For files that include their own HTTP headers:
+#
+#AddHandler send-as-is asis
+
+#
+# For server-parsed imagemap files:
+#
+#AddHandler imap-file map
+
+#
+# For type maps (negotiated resources):
+# (This is enabled by default to allow the Apache "It Worked" page
+# to be distributed in multiple languages.)
+#
+AddHandler type-map var
+
+#
+# Filters allow you to process content before it is sent to the client.
+#
+# To parse .shtml files for server-side includes (SSI):
+# (You will also need to add "Includes" to the "Options" directive.)
+#
+#AddType text/html .shtml
+#AddOutputFilter INCLUDES .shtml
+
+#
+# Action lets you define media types that will execute a script whenever
+# a matching file is called. This eliminates the need for repeated URL
+# pathnames for oft-used CGI file processors.
+# Format: Action media/type /cgi-script/location
+# Format: Action handler-name /cgi-script/location
+#
+
+#
+# Customizable error responses come in three flavors:
+# 1) plain text 2) local redirects 3) external redirects
+#
+# Some examples:
+#ErrorDocument 500 "The server made a boo boo."
+#ErrorDocument 404 /missing.html
+#ErrorDocument 404 "/cgi-bin/missing_handler.pl"
+#ErrorDocument 402 http://www.example.com/subscription_info.html
+#
+
+#
+# Putting this all together, we can internationalize error responses.
+#
+# We use Alias to redirect any /error/HTTP_<error>.html.var response to
+# our collection of by-error message multi-language collections. We use
+# includes to substitute the appropriate text.
+#
+# You can modify the messages' appearance without changing any of the
+# default HTTP_<error>.html.var files by adding the line:
+#
+# Alias /error/include/ "/your/include/path/"
+#
+# which allows you to create your own set of files by starting with the
+# @exp_errordir@/include/ files and copying them to /your/include/path/,
+# even on a per-VirtualHost basis. The default include files will display
+# your Apache version number and your ServerAdmin email address regardless
+# of the setting of ServerSignature.
+#
+# The internationalized error documents require mod_alias, mod_include
+# and mod_negotiation. To activate them, uncomment the following 30 lines.
+
+# Alias /error/ "@exp_errordir@/"
+#
+# <Directory "@exp_errordir@">
+# AllowOverride None
+# Options IncludesNoExec
+# AddOutputFilter Includes html
+# AddHandler type-map var
+# Order allow,deny
+# Allow from all
+# LanguagePriority en cs de es fr it ja ko nl pl pt-br ro sv tr
+# ForceLanguagePriority Prefer Fallback
+# </Directory>
+#
+# ErrorDocument 400 /error/HTTP_BAD_REQUEST.html.var
+# ErrorDocument 401 /error/HTTP_UNAUTHORIZED.html.var
+# ErrorDocument 403 /error/HTTP_FORBIDDEN.html.var
+# ErrorDocument 404 /error/HTTP_NOT_FOUND.html.var
+# ErrorDocument 405 /error/HTTP_METHOD_NOT_ALLOWED.html.var
+# ErrorDocument 408 /error/HTTP_REQUEST_TIME_OUT.html.var
+# ErrorDocument 410 /error/HTTP_GONE.html.var
+# ErrorDocument 411 /error/HTTP_LENGTH_REQUIRED.html.var
+# ErrorDocument 412 /error/HTTP_PRECONDITION_FAILED.html.var
+# ErrorDocument 413 /error/HTTP_REQUEST_ENTITY_TOO_LARGE.html.var
+# ErrorDocument 414 /error/HTTP_REQUEST_URI_TOO_LARGE.html.var
+# ErrorDocument 415 /error/HTTP_UNSUPPORTED_MEDIA_TYPE.html.var
+# ErrorDocument 500 /error/HTTP_INTERNAL_SERVER_ERROR.html.var
+# ErrorDocument 501 /error/HTTP_NOT_IMPLEMENTED.html.var
+# ErrorDocument 502 /error/HTTP_BAD_GATEWAY.html.var
+# ErrorDocument 503 /error/HTTP_SERVICE_UNAVAILABLE.html.var
+# ErrorDocument 506 /error/HTTP_VARIANT_ALSO_VARIES.html.var
+
+
+#
+# The following directives modify normal HTTP response behavior to
+# handle known problems with browser implementations.
+#
+BrowserMatch "Mozilla/2" nokeepalive
+BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0
+BrowserMatch "RealPlayer 4\.0" force-response-1.0
+BrowserMatch "Java/1\.0" force-response-1.0
+BrowserMatch "JDK/1\.0" force-response-1.0
+
+#
+# The following directive disables redirects on non-GET requests for
+# a directory that does not include the trailing slash. This fixes a
+# problem with Microsoft WebFolders which does not appropriately handle
+# redirects for folders with DAV methods.
+# Same deal with Apple's DAV filesystem and Gnome VFS support for DAV.
+#
+BrowserMatch "Microsoft Data Access Internet Publishing Provider" redirect-carefully
+BrowserMatch "MS FrontPage" redirect-carefully
+BrowserMatch "^WebDrive" redirect-carefully
+BrowserMatch "^WebDAVFS/1.[0123]" redirect-carefully
+BrowserMatch "^gnome-vfs" redirect-carefully
+BrowserMatch "^XML Spy" redirect-carefully
+BrowserMatch "^Dreamweaver-WebDAV-SCM1" redirect-carefully
+
+#
+# Allow server status reports generated by mod_status,
+# with the URL of http://servername/server-status
+# Change the ".example.com" to match your domain to enable.
+#
+#<Location /server-status>
+# SetHandler server-status
+# Order deny,allow
+# Deny from all
+# Allow from .example.com
+#</Location>
+
+#
+# Allow remote server configuration reports, with the URL of
+# http://servername/server-info (requires that mod_info.c be loaded).
+# Change the ".example.com" to match your domain to enable.
+#
+#<Location /server-info>
+# SetHandler server-info
+# Order deny,allow
+# Deny from all
+# Allow from .example.com
+#</Location>
+
+
+#
+# Bring in additional module-specific configurations
+#
+#<IfModule mod_ssl.c>
+# Include @rel_sysconfdir@/ssl.conf
+#</IfModule>
+
+
+### Section 3: Virtual Hosts
+#
+# VirtualHost: If you want to maintain multiple domains/hostnames on your
+# machine you can setup VirtualHost containers for them. Most configurations
+# use only name-based virtual hosts so the server doesn't need to worry about
+# IP addresses. This is indicated by the asterisks in the directives below.
+#
+# Please see the documentation at
+# <URL:http://httpd.apache.org/docs-2.0/vhosts/>
+# for further details before you try to setup virtual hosts.
+#
+# You may use the command line option '-S' to verify your virtual host
+# configuration.
+
+#
+# Use name-based virtual hosting.
+#
+#NameVirtualHost *:80
+
+#
+# VirtualHost example:
+# Almost any Apache directive may go into a VirtualHost container.
+# The first VirtualHost section is used for requests without a known
+# server name.
+#
+#<VirtualHost *:80>
+# ServerAdmin webmaster@dummy-host.example.com
+# DocumentRoot /www/docs/dummy-host.example.com
+# ServerName dummy-host.example.com
+# ErrorLog @rel_logfiledir@/dummy-host.example.com-error_log
+# CustomLog @rel_logfiledir@/dummy-host.example.com-access_log common
+#</VirtualHost>
diff --git a/generic/index.html b/generic/index.html
new file mode 100644
index 000000000..8635c9ac1
--- /dev/null
+++ b/generic/index.html
@@ -0,0 +1,19 @@
+<html>
+<!-- This file is used when no other html documents are selected -->
+<head>
+ <title>This is a small demo file to show http server is up and
+running</title>
+</head>
+
+<body>
+<p>
+<center><font size=+10>This is your target system.<br>Apache is up and
+running</font></center>
+</p>
+<p>
+<center><font size=+5>Here you can test the cgi ability of apache:<br>
+<a href="/cgi-bin/test-cgi"><font size=+5>Apache Demo
+Test-CGI-Program</font></a></center>
+</p>
+</body>
+</html>
diff --git a/generic/thttpd.html b/generic/thttpd.html
new file mode 100644
index 000000000..28823a614
--- /dev/null
+++ b/generic/thttpd.html
@@ -0,0 +1,15 @@
+<!-- This is a small demo to show thttpd is running on your system -->
+<HTML>
+<HEAD><TITLE>thttpd is running</TITLE></HEAD>
+<BODY BGCOLOR="#99cc99" TEXT="#000000" LINK="#2020ff" VLINK="#4040cc">
+
+<H3>thttpd is running</H3>
+
+<P>
+Looks like you got it working. Congrats.
+
+<P>
+Here's a link to the <A HREF="http://www.acme.com/software/thttpd/">thttpd web pages</A>.
+
+</BODY>
+</HTML>